6 Replies Latest reply on Sep 30, 2018 12:16 PM by jcoronel

    Errors after firmaware and realsense-viewer upgrade

    jcoronel

      Hi all!,

       

      I have been doing some tests using realsense-viewer with a D415 and a D435 cameras. Everything was going quite well, but after upgrading to firmware version 5.10.3 and the last version of the whole SDK, it started to show bad 3D reconstructions, as can be seen in the attached image.

      It seems to do a bad correlation with the cameras positions and angles.

      I have tried to re-calibrate, to install a fresh SDK in other computer with Windows, to re-install the firmware, but I get always this error.

      Have you got any idea on what can I do?

       

      Thank you very much for your time!

        • 1. Re: Errors after firmaware and realsense-viewer upgrade
          Intel Corporation
          This message was posted on behalf of Intel Corporation

          Hello jcoronel,

          Thank you for your interest in the Intel RealSense D400 Series. 

          On the screenshot provided, I don't see any error message. Are you referring to the 3D model? 
          Also, how is the 2D depth image looking in RealSense Viewer? Could you please increase the resolution and the frame rate and let us know if you notice an improvement in the quality? 

          Best regards,
          Eliza

          • 2. Re: Errors after firmaware and realsense-viewer upgrade
            jcoronel

            Hello Eliza,

             

            Yes, I was talking about the 3D scene. The 3D has an incorrect shape and texture is displaced with respect the corresponding object. This could be a hint of the problem's origin.

             

            Attached you can see the same scene with the default (from the dropdown box) configuration of realsense-viewer running under Linux. In the case of the 2D view, you can see a hole in the left part of Tux (the Linux penguin). The 3D view is the 3D frontal view you get initially without changing anything (zoom, rotation or translation). As you can see, there is an error on the relative position of the texture, like a registration error in 2D.

             

            The same problem applies to my D435, but they worked perfectly after SDK and firmware upgrade. It is difficult to be a coincidence. Can I do a downgrade to check if the problem is solved?

             

            Thank you

            • 3. Re: Errors after firmaware and realsense-viewer upgrade
              Intel Corporation
              This message was posted on behalf of Intel Corporation

              Hello jcoronel,

              Yes, you can downgrade the firmware by following the same process you did on upgrading. 
              You can check out the latest Production firmware version 5.9.13 and check if you notice the same issues. 

              The latest firmware is a Development version, recommended mainly for software  developers and it may contain features that have not been fully validated by Intel. 

              Best regards,
              Eliza

              • 4. Re: Errors after firmaware and realsense-viewer upgrade
                jcoronel

                Hello Eliza,

                 

                I have tried 5.9.13 firmware version, but it works the same way. I get a warning message on realsense-viewer telling that minimum firmware version is 5.9.14. So I tried this version too, but again same result.

                I don't know how to check realsense-viewer version, but my librealsense library version is 2.16. All these were automatically installed via apt, but on GitHub you can see that this version is not a release, so I think I should install version 2.15 (the latest release to date). The only way to do this is manually, because apt repository installs the newer not the latest release.

                I will uninstall everything and I will manually install version 2.15 to check if everything works correctly. I will keep you updated.

                 

                Thank you,

                 

                Javier

                • 5. Re: Errors after firmaware and realsense-viewer upgrade
                  jcoronel

                  Hello again Eliza,

                   

                  Problem solved. After manually installing SDK version 2.15 and using firmware 5.9.13 on a D415, it works correctly.

                  Is there any limit on upgrading/downgrading D4xx firmware? If there is no limit on doing this, I can check other firmware versions to see if it works correctly too on SDK 2.15

                  Also, there are a couple of things that I consider should be corrected. First do not update to unstable versions by default using the Linux repositories and do not suggest on realsense-viewer to upgrade firmware to beta versions, because it can yield to situations like this. Thank you very much.

                   

                  Have a nice day!

                  • 6. Re: Errors after firmaware and realsense-viewer upgrade
                    jcoronel

                    All the related errors have been solved in the last release of the Realsense SDK v. 2.6.1. I have tried this SDK with a D415 fw:5.9.13 and D435 fw: 5.10.3.

                    Good luck with your projects!